﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:2.0.50727.42
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace Microsoft.Samples.RecipeCatalog
{
    using System.Runtime.Serialization;
    
    
    [System.Runtime.Serialization.DataContractAttribute()]
    [System.Runtime.Serialization.KnownTypeAttribute(typeof(Microsoft.Samples.RecipeCatalog.AttachmentNotFoundFaultException))]
    [System.Runtime.Serialization.KnownTypeAttribute(typeof(Microsoft.Samples.RecipeCatalog.DocumentNotFoundFaultException))]
    [System.Runtime.Serialization.KnownTypeAttribute(typeof(Microsoft.Samples.RecipeCatalog.NoDocumentsFoundFaultException))]
    [System.Runtime.Serialization.KnownTypeAttribute(typeof(Microsoft.Samples.RecipeCatalog.UnableToAddDocumentFaultException))]
    public partial class DocumentFaultException : object, System.Runtime.Serialization.IExtensibleDataObject
    {
        
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        private string DocKeyField;
        
        private string MessageField;
        
        private string StoreModeField;
        
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData
        {
            get
            {
                return this.extensionDataField;
            }
            set
            {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string DocKey
        {
            get
            {
                return this.DocKeyField;
            }
            set
            {
                this.DocKeyField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string Message
        {
            get
            {
                return this.MessageField;
            }
            set
            {
                this.MessageField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string StoreMode
        {
            get
            {
                return this.StoreModeField;
            }
            set
            {
                this.StoreModeField = value;
            }
        }
    }
    
    [System.Runtime.Serialization.DataContractAttribute()]
    public partial class AttachmentNotFoundFaultException : Microsoft.Samples.RecipeCatalog.DocumentFaultException
    {
        
        private string AttachmentKeyField;
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string AttachmentKey
        {
            get
            {
                return this.AttachmentKeyField;
            }
            set
            {
                this.AttachmentKeyField = value;
            }
        }
    }
    
    [System.Runtime.Serialization.DataContractAttribute()]
    public partial class DocumentNotFoundFaultException : Microsoft.Samples.RecipeCatalog.DocumentFaultException
    {
    }
    
    [System.Runtime.Serialization.DataContractAttribute()]
    public partial class NoDocumentsFoundFaultException : Microsoft.Samples.RecipeCatalog.DocumentFaultException
    {
        
        private string SearchKeyField;
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string SearchKey
        {
            get
            {
                return this.SearchKeyField;
            }
            set
            {
                this.SearchKeyField = value;
            }
        }
    }
    
    [System.Runtime.Serialization.DataContractAttribute()]
    public partial class UnableToAddDocumentFaultException : Microsoft.Samples.RecipeCatalog.DocumentFaultException
    {
    }
    
    [System.Runtime.Serialization.DataContractAttribute()]
    public partial class DocHeader : object, System.Runtime.Serialization.IExtensibleDataObject
    {
        
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        private Microsoft.Samples.RecipeCatalog.AttachmentHeader[] AttachmentsField;
        
        private string KeyField;
        
        private int RatingField;
        
        private string[] SearchKeywordsField;
        
        private string TitleField;
        
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData
        {
            get
            {
                return this.extensionDataField;
            }
            set
            {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public Microsoft.Samples.RecipeCatalog.AttachmentHeader[] Attachments
        {
            get
            {
                return this.AttachmentsField;
            }
            set
            {
                this.AttachmentsField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string Key
        {
            get
            {
                return this.KeyField;
            }
            set
            {
                this.KeyField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public int Rating
        {
            get
            {
                return this.RatingField;
            }
            set
            {
                this.RatingField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string[] SearchKeywords
        {
            get
            {
                return this.SearchKeywordsField;
            }
            set
            {
                this.SearchKeywordsField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string Title
        {
            get
            {
                return this.TitleField;
            }
            set
            {
                this.TitleField = value;
            }
        }
    }
    
    [System.Runtime.Serialization.DataContractAttribute()]
    public partial class AttachmentHeader : object, System.Runtime.Serialization.IExtensibleDataObject
    {
        
        private System.Runtime.Serialization.ExtensionDataObject extensionDataField;
        
        private string KeyField;
        
        private Microsoft.Samples.RecipeCatalog.RecipeAttachmentType MediaTypeField;
        
        private string NameField;
        
        public System.Runtime.Serialization.ExtensionDataObject ExtensionData
        {
            get
            {
                return this.extensionDataField;
            }
            set
            {
                this.extensionDataField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string Key
        {
            get
            {
                return this.KeyField;
            }
            set
            {
                this.KeyField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public Microsoft.Samples.RecipeCatalog.RecipeAttachmentType MediaType
        {
            get
            {
                return this.MediaTypeField;
            }
            set
            {
                this.MediaTypeField = value;
            }
        }
        
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string Name
        {
            get
            {
                return this.NameField;
            }
            set
            {
                this.NameField = value;
            }
        }
    }
    
    public enum RecipeAttachmentType : int
    {
        
        Unknown = 0,
        
        Photo = 1,
        
        Video = 2,
    }
}


[System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "3.0.0.0")]
[System.ServiceModel.ServiceContractAttribute(Namespace="http://Microsoft.Samples.RecipeCatalog")]
public interface IDocumentService
{
    
    [System.ServiceModel.OperationContractAttribute()]
    [System.ServiceModel.FaultContractAttribute(typeof(Microsoft.Samples.RecipeCatalog.UnableToAddDocumentFaultException), Action="http://Microsoft.Samples.RecipeCatalog/IDocumentService/AddDocUnableToAddDocument" +
        "FaultExceptionFault")]
    System.ServiceModel.Channels.Message AddDoc(System.ServiceModel.Channels.Message request);
    
    [System.ServiceModel.OperationContractAttribute(Action="http://Microsoft.Samples.RecipeCatalog/IDocumentService/GetAttachment", ReplyAction="http://Microsoft.Samples.RecipeCatalog/IDocumentService/GetAttachmentResponse")]
    [System.ServiceModel.FaultContractAttribute(typeof(Microsoft.Samples.RecipeCatalog.AttachmentNotFoundFaultException), Action="http://Microsoft.Samples.RecipeCatalog/IDocumentService/GetAttachmentAttachmentNo" +
        "tFoundFaultExceptionFault")]
    System.IO.Stream GetAttachment(string docKey, string attachmentKey);
    
    [System.ServiceModel.OperationContractAttribute()]
    [System.ServiceModel.FaultContractAttribute(typeof(Microsoft.Samples.RecipeCatalog.DocumentNotFoundFaultException), Action="http://Microsoft.Samples.RecipeCatalog/IDocumentService/GetDocDocumentNotFoundFau" +
        "ltExceptionFault")]
    System.ServiceModel.Channels.Message GetDoc(System.ServiceModel.Channels.Message request);
    
    [System.ServiceModel.OperationContractAttribute(Action="http://Microsoft.Samples.RecipeCatalog/IDocumentService/GetDocHeaders", ReplyAction="http://Microsoft.Samples.RecipeCatalog/IDocumentService/GetDocHeadersResponse")]
    [System.ServiceModel.FaultContractAttribute(typeof(Microsoft.Samples.RecipeCatalog.NoDocumentsFoundFaultException), Action="http://Microsoft.Samples.RecipeCatalog/IDocumentService/GetDocHeadersNoDocumentsF" +
        "oundFaultExceptionFault")]
    Microsoft.Samples.RecipeCatalog.DocHeader[] GetDocHeaders(string searchKey);
}

[System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "3.0.0.0")]
public interface IDocumentServiceChannel : IDocumentService, System.ServiceModel.IClientChannel
{
}

[System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "3.0.0.0")]
public partial class DocumentServiceProxy : System.ServiceModel.ClientBase<IDocumentService>, IDocumentService
{
    
    public DocumentServiceProxy()
    {
    }
    
    public DocumentServiceProxy(string endpointConfigurationName) : 
            base(endpointConfigurationName)
    {
    }
    
    public DocumentServiceProxy(string endpointConfigurationName, string remoteAddress) : 
            base(endpointConfigurationName, remoteAddress)
    {
    }
    
    public DocumentServiceProxy(string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress) : 
            base(endpointConfigurationName, remoteAddress)
    {
    }
    
    public DocumentServiceProxy(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) : 
            base(binding, remoteAddress)
    {
    }
    
    public System.ServiceModel.Channels.Message AddDoc(System.ServiceModel.Channels.Message request)
    {
        return base.Channel.AddDoc(request);
    }
    
    public System.IO.Stream GetAttachment(string docKey, string attachmentKey)
    {
        return base.Channel.GetAttachment(docKey, attachmentKey);
    }
    
    public System.ServiceModel.Channels.Message GetDoc(System.ServiceModel.Channels.Message request)
    {
        return base.Channel.GetDoc(request);
    }
    
    public Microsoft.Samples.RecipeCatalog.DocHeader[] GetDocHeaders(string searchKey)
    {
        return base.Channel.GetDocHeaders(searchKey);
    }
}
